About Microsoft Visio Viewer 2002

With Microsoft Visio Viewer 2002, you can use your Web browser (Microsoft Internet Explorer 5.0 or later) to view, print, and share drawings created in Microsoft Visio even if you and your team members don't have Visio installed on your computers.

When you open a Visio drawing, the drawing appears inside your Web browser in a Visio Viewer window. If a drawing has more than one page, only one page appears at a time, and Visio Viewer doesn't display stencils, rulers, guides, and guide points.

You can zoom in on a drawing, zoom out of a drawing, move a drawing around in the Visio Viewer window, click a shape to follow a hyperlink, and view data (custom properties) stored with shapes. When you move the pointer over a shape, the type of pointer that appears indicates whether the shape includes a hyperlink, data (custom properties), both, or neither.

Visio Viewer displays a Visio drawing inside a Web browser.

A The Visio Viewer toolbar includes tools you can use to zoom in, zoom out, and go to different pages.

B Right-click the drawing to use the Visio Viewer shortcut menu.

Click to show or hide information. Supported Visio file types

You can open the following Visio file types with Visio Viewer:

  • Visio drawing format (.vsd) saved using Microsoft Visio 5.0, 2000, or 2002.
  • Visio XML drawing format (.vdx) saved using Microsoft Visio 2002.

Note Visio Viewer can display embedded DWG or DXF drawings included in Visio drawings. However, it can't display embedded DGN drawings.

Click to show or hide information. Sample files

Visio Viewer includes the following sample files located in the drive:\Program Files\Microsoft Office\Visio Viewer folder:

  • Sample.vsd is a flowchart in the Visio drawing format.
  • Sample1.vdx is a flowchart in Visio XML drawing format.
  • Sample.htm is an HTML page with Visio Viewer embedded in it. Visio Viewer shows Sample1.vdx.

Click to show or hide information. Visio Viewer limitations

Visio Viewer doesn't support the following features:

  • Rotated pages
  • More than one hyperlink included with a shape
  • Hyperlinks included with the drawing page
  • Drawing page properties

Note Custom fill styles, line styles, and some line ends may not look the same in Visio Viewer as they do when you open a Visio drawing with Microsoft Visio.

Click to show or hide information. Supported operating systems

The following operating systems support Visio Viewer:

  • Microsoft Windows XP
  • Windows 2000 (Service Pack 2)
  • Windows Millennium Edition
  • Microsoft Windows 98 Second Edition
  • Windows NT 4.0 (Service Pack 6 or later)


About Microsoft Visio Viewer 2002 pointers

Visio Viewer pointers give you visual clues about the shapes in your Visio drawing. When you move the pointer over a shape in your drawing, the type of pointer that appears indicates whether the shape includes a hyperlink, data (custom properties), both, or neither.

The following table shows what each pointer signifies.

Visio Viewer pointers and what they signify

Pointer | What the pointer signifies
 | Shape with a hyperlink
 | Shape with a hyperlink and data (custom properties)
 | Shape with data
 | Shape with no hyperlink or data


About printing with Microsoft Visio Viewer 2002

When you print a Microsoft Visio drawing with Microsoft Visio Viewer 2002, it prints from your Web browser (Microsoft Internet Explorer), not Microsoft Visio. Printing from a browser means your drawing may not look exactly the same as it does when printed from Visio, you have less control over the printing process, and you can print only one page at a time.

When you print Visio drawings from your Web browser, the same zoom factor and center point used in your browser window are used on the printed page, so what you see on your monitor closely approximates what prints. However, always check the print preview before printing a drawing to make sure it will print the way you want it to. (On the browser's File menu, click Print Preview.)

Here are some examples of how the zoom factor and center point affect the appearance of the printed drawing:

  • If you view your drawing at the Whole Page zoom factor and the drawing is centered in your browser window, the whole page will print, centered on the printed page.
  • If you view your drawing at the 50% zoom factor, and the top shape in your drawing is centered in the browser window, your drawing will print at 50% with the top shape centered on the printed page. This means the bottom portion of your drawing may not print.
  • If you view your drawing at the 200% zoom factor, and the drawing is centered in the browser window, it will print at 200%, centered on the printed page. This means the edges of your drawing may not print.


Center your drawing in your browser window

Do one of the following to center your drawing in your browser window:

  • Right-click the drawing, click Zoom, and then click Whole Page.
  • Click the Zoom Page button [image] on the Visio Viewer toolbar.
  • Drag your drawing to the center of the browser window.


Edit your drawing

If you have Microsoft Visio installed on your computer, you can start Visio from the browser and use it to edit your Visio drawing.

Note If you are viewing a Visio drawing that is stored on a Web server, you must have the permissions needed to modify documents on the server.

  1. On the Visio Viewer toolbar, click the Open in Visio button [image]. Or, right-click the drawing, and then click Open in Visio on the shortcut menu.
  2. In Visio, make your changes to the drawing, and then save and close the drawing.
  3. On the browser's View menu, click Refresh to update the drawing in the browser.


Follow a hyperlink

  1. Position the pointer over a shape that has a hyperlink.
  2. Click the shape.

Note To go back to your Visio drawing after you follow a hyperlink that opens in the same window, click your browser's Back button.


Go to a different page in your drawing

  1. On the Visio Viewer toolbar, click the arrow next to the Select Page box [image]. Or, right-click the drawing, and then click Go to Page on the shortcut menu.
  2. Click the page you want.


Show the grid on the drawing page

Visio Viewer hides the Visio drawing page grid by default. To show the grid:
  1. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.
  2. Click the Display Settings tab, and then under Show, select the Grid check box.

If the Grid check box is gray, make sure the Page check box is selected. You must show the page boundary in your drawing to view the grid.


Hide the Microsoft Visio Viewer scroll bars

Visio Viewer shows scroll bars by default. To hide them:
  1. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.
  2. Click the Display Settings tab, and then under Show, clear the Scroll bars check box.


Hide the Microsoft Visio Viewer toolbar

Visio Viewer shows the Viewer toolbar by default. To hide the toolbar:
  1. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.
  2. Click the Display Settings tab, and then under Show, clear the Toolbar check box.


Show the page boundary for your drawing

Visio Viewer hides the page boundary by default. To show the page boundary:
  1. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.
  2. Click the Display Settings tab, and then under Show, select the Page check box.


Keyboard shortcuts

To

Do this

Zoom in

CTRL+SHIFT+click

Zoom out

CTRL+SHIFT+right-click

Zoom in on a selected area

CTRL+SHIFT+drag a rectangle


Microsoft Visio Service and Support

For information on how to contact Microsoft Customer Service or Technical Support, see the Technical Support Options file (vviewpss.htm) in the drive:\Program Files\Microsoft Office\Visio Viewer folder.


Move your drawing around in your browser window

  • Drag the drawing where you want it in the browser window.


Print your drawing

  1. Make sure you are using the same zoom factor and center point in your browser window that you want to use on the printed page.

If you want to print your entire drawing, view your entire drawing in your browser window and center it in the window. (Right-click the drawing, click Zoom, and then click Whole Page.)

  2. Choose a printer paper orientation (portrait or landscape) that matches the orientation of the Visio drawing. (On your browser's File menu, click Page Setup).
  3. Check to see how the printed drawing will look before you print it. (On your browser's File menu, click Print Preview.)
  4. On your browser's File menu, click Print. Or, on the browser toolbar, click the Print button.

Note If you change any settings in the Print dialog box when printing from Microsoft Internet Explorer 5.5 or later, your drawing may print incorrectly. To avoid this problem, don't change any settings in this dialog box. If you must change your printer settings, change them before you print, using the Page Setup dialog box. (On your browser's File menu, click Page Setup, and then click the Printer button at the bottom of the dialog box.)


Properties and Settings dialog box (Display Settings tab)

Click to show or hide information. Higher Quality

Smoothes the edges of shapes and text. If lines appear jagged in the drawing, try selecting this check box to improve the display.

Click to show or hide information. Faster

Speeds up the display of text and shapes when you open a drawing or move it around in the browser window.

Click to show or hide information. Toolbar

Displays the Visio Viewer toolbar above the drawing.

Click to show or hide information. Scroll bars

Displays scroll bars to the right of and below the drawing.

Click to show or hide information. Page

Displays the boundaries of the drawing page.

Click to show or hide information. Grid

Displays grid lines on the drawing page. Enabled only if Page is selected.


Properties and Settings dialog box (Shape Properties tab)

Click to show or hide information. Custom Properties

Displays the custom properties for the selected shape. A custom property is data stored with a shape.

The Name column shows the name of the custom property. The Value column shows the data stored in the custom property. For example, an organization chart shape might have a custom property named Department with a value of Finance.


Remove Microsoft Visio Viewer 2002 from your computer

  1. Exit your Web browser.
  2. In Windows Control Panel, double-click Add or Remove Programs.
  3. Do one of the following:
  • If you are running Microsoft Windows XP, Windows 2000, or Windows Millennium Edition, in the Currently installed programs box, click Microsoft Visio Viewer 2002, and then click Remove.
  • If you are running Microsoft Windows 98 or Windows NT 4.0, on the Install/Uninstall tab, click Microsoft Visio Viewer 2002, and then click Add/Remove.
  4. Follow the instructions on the screen.


Sample files

Visio Viewer includes the following sample files, located in the drive:\Program Files\Microsoft Office\Visio Viewer folder:

  • Sample.vsd is a flowchart in the Visio drawing format.
  • Sample1.vdx is a flowchart in Visio XML drawing format.
  • Sample.htm is an HTML page with Visio Viewer embedded in it. Visio Viewer shows Sample1.vdx.


Troubleshoot printing

When you print a Microsoft Visio drawing with Microsoft Visio Viewer 2002, it prints from your Web browser, not Microsoft Visio. Printing from a browser means your drawing may not look exactly the same as it does when you print it from Visio, you have less control over the printing process, and you can only print one page at a time.

When you print Visio drawings from your Web browser, the same zoom factor and center point used in your browser window are used on the printed page, so what you see on your monitor closely approximates what prints. However, always check the print preview before printing your drawing to make sure it will print the way you want it to. (On the browser's File menu, click Print Preview.)

Click to show or hide information. Part of my drawing is missing from the printed copy.

Try a combination of the following to solve this problem:

  • Make sure you choose a printer paper orientation that matches the Visio drawing orientation. For example, if the Visio drawing is wider than it is tall, on the browser File menu, click Page Setup. Under Orientation, click Landscape.
  • Zoom out so your entire drawing is showing in your Web browser. Right-click the drawing, click Zoom, and then click Whole Page.
  • Center your drawing in your browser window. Drag the drawing until it is centered. Or, right-click the drawing, click Zoom, and then click Whole Page.

Click to show or hide information. My printed drawing is too small.

Zoom in on your drawing so it looks bigger in your Web browser. Right-click the drawing, and then click Zoom In. Or, right-click the drawing, click Zoom, and then click a zoom option.

Click to show or hide information. My printed drawing is too large.

Zoom out of your drawing so it looks smaller in your Web browser. Right-click the drawing, and then click Zoom Out. Or, right-click the drawing, click Zoom, and then click a zoom option.

Click to show or hide information. My drawing isn't centered on the printed page.

Center your drawing in your browser window. Drag the drawing until it is centered. Or, right-click the drawing, click Zoom, and then click Whole Page.

Click to show or hide information. My drawing doesn't print properly using Internet Explorer 5.5 or later.

If you change any settings in the Print dialog box when printing from Microsoft Internet Explorer 5.5 or later, your drawing may print incorrectly. To avoid this problem, don't change any settings in this dialog box. If you must change your printer settings, change them before you print, using the Page Setup dialog box. On your browser's File menu, click Page Setup, and then click the Printer button at the bottom of the dialog box.


Troubleshoot viewing drawings

Click to show or hide information. When my drawing opens, the Visio Viewer window is blank.

There may be an error in the drawing. Try opening a different drawing. If it opens correctly, you may have errors in the first drawing. Ask the person who created the first drawing to send you a new copy.

Click to show or hide information. Lines in my drawing look jagged.

  1. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.
  2. Click the Display Settings tab, and then under Draw, click Higher quality.

Click to show or hide information. Shape data doesn't appear.

If no shape data appears on the Shape Properties tab in the Properties and Settings dialog box, make sure you are selecting a shape (CTRL+click) first, and then right-clicking the drawing and choosing Properties and Settings. If you still don't see any shape data, the selected shape may not include any data or there is a problem with the drawing. If you're sure the shape should include data, verify this with the person who created the drawing and ask for a new copy.

Click to show or hide information. The stencil, rulers, guides, and guide points don't appear.

Visio Viewer doesn't display the stencils, rulers, guides, and guide points used in Microsoft Visio drawings.

Click to show or hide information. The drawing isn't the right size.

If your drawing looks too big or small, change the zoom percentage. To choose zoom percentages, right-click the drawing, and then click Zoom In, Zoom Out, or Zoom. Or, click the zoom buttons on the Visio Viewer toolbar.


Use Microsoft Visio and Microsoft Visio Viewer on the same computer

You can use Microsoft Visio and Microsoft Visio Viewer 2002 on the same computer. However, you need to change the Visio file associations so the correct application will open Visio files when you switch from one application to the other.

Click to show or hide information. Set Microsoft Visio as the default for opening Visio files.

  1. In Windows Control Panel, double-click Add or Remove Programs.
  2. Do one of the following:
  • If you are running Microsoft Windows XP, Windows 2000, or Windows Millennium Edition, in the Currently installed programs box, click Microsoft Visio, and then click Change. On the first page that appears, click Repair, and then follow the instructions on the screen.
  • If you are running Microsoft Windows 98 or Windows NT 4.0 (Service Pack 6 or later), on the Install/Uninstall tab, click Microsoft Visio, and then click Repair. Then follow the instructions on the screen.

Note This procedure only works for Visio 2000 and 2002. If you're using Visio 5.0, you must reinstall the product to change the Visio file associations and set Visio as the default for opening files.

Click to show or hide information. Set Microsoft Visio Viewer 2002 as the default for opening Visio files.

  1. In Windows Control Panel, double-click Add or Remove Programs.
  2. Do one of the following:
  • If you are running Microsoft Windows XP, Windows 2000, or Windows Millennium Edition, in the Currently installed programs box, click Microsoft Visio Viewer 2002, and then click Change. On the first page that appears, click Repair, and then follow the instructions on the screen to associate Visio file types with Visio Viewer.
  • If you are running Microsoft Windows 98 or Windows NT 4.0, on the Install/Uninstall tab, click Microsoft Visio Viewer 2002, and then click Repair. Follow the instructions on the screen to associate Visio file types with Visio Viewer.


Open a Visio drawing

Do one of the following to open a Visio drawing (.vsd) or Visio XML drawing (.vdx) in a Visio Viewer window in your browser:

  • Double-click a Microsoft Visio file.
  • In your browser, on the File menu, click Open, and then navigate to a Visio file.
  • If your browser is already running, drag a Visio file into the browser window.

Note If you open a drawing and see a blank Visio Viewer window, there may be an error in the drawing. Try opening a different drawing and if it opens correctly, you may have errors in the first drawing. Ask the person who created the drawing to send you a new copy.


View data stored with a shape in your drawing

  1. CTRL+click a shape in the Microsoft Visio drawing.
  2. On the Visio Viewer toolbar, click the Properties and Settings button [image]. Or, right-click the drawing, and then click Properties and Settings on the shortcut menu.

Shape data appear on the Shape Properties tab. If this tab is blank, the shape doesn't include any data. You cannot add new data or modify existing data. You must use Microsoft Visio to edit Visio shapes and drawings.


Zoom in and out of your drawing

Do any of the following to zoom in and out of your drawing:

  • To zoom in on your drawing, click the Zoom In button [image] on the Visio Viewer toolbar.
  • To zoom into a specific area in your drawing, press CTRL+SHIFT and drag a rectangle around the area you want to magnify.
  • To zoom in on a specific point in your drawing, press CTRL+SHIFT and click the point you want to magnify.
  • To zoom out of your drawing, on the Visio Viewer toolbar, click the Zoom Out button [image].
  • To zoom out of a specific point in your drawing, press CTRL+SHIFT and right-click the point where you want to zoom out.
  • To zoom in or out of your drawing, right-click the drawing, and then choose a zoom command on the shortcut menu. Or, choose a zoom percentage from the Zoom box [image] on the Visio Viewer toolbar.